﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AutoCompleteSample.Model;

namespace AutoCompleteSample.Repository
{
    public class CustomerRepoMock
    {
        private List<Customer> datas;

        public CustomerRepoMock()
        {
            datas = new List<Customer>();
            CreateCostumers();
        }

        public List<Customer> GetCustomerByName(string name)
        {
            return datas
                    .Where(entity => entity.SalesFirstName.Contains(name))
                    .ToList();
        }

        private void CreateCostumers()
        {
            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43666",
                Store = "Wheel Gallery",
                OrderDate = new DateTime(2001, 7, 1, 0, 0, 0),
                SalesFirstName = "Linda",
                SalesLastName = "Mitchell",
                SalesTitle = "Sales Representative",
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43672",
                Store = "Red Bicycle Company",
                OrderDate = new DateTime(2001, 7, 1, 0, 0, 0),
                SalesFirstName = "José",
                SalesLastName = "Saraiva",
                SalesTitle = "Sales Representative",
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43685",
                Store = "Simple Bike Parts",
                OrderDate = new DateTime(2001, 7, 1, 0, 0, 0),
                SalesFirstName = "Tsvi",
                SalesLastName = "Reiter",
                SalesTitle = "Sales Representative",
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43843",
                Store = "Catalog Store",
                OrderDate = new DateTime(2001, 8, 1, 0, 0, 0),
                SalesFirstName = "Michael",
                SalesLastName = "Blythe",
                SalesTitle = "Sales Representative",
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43844",
                Store = "Two-Wheeled Transit Company",
                OrderDate = new DateTime(2001, 8, 1, 0, 0, 0),
                SalesFirstName = "José",
                SalesLastName = "Saraiva",
                SalesTitle = "Sales Representative"
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43845",
                Store = "Two-Wheeled Transit Company",
                OrderDate = new DateTime(2001, 8, 1, 0, 0, 0),
                SalesFirstName = "Prabu",
                SalesLastName = "Subramanian",
                SalesTitle = "Sales Representative"
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43845",
                Store = "Two-Wheeled Transit Company",
                OrderDate = new DateTime(2001, 8, 1, 0, 0, 0),
                SalesFirstName = "Raj",
                SalesLastName = "Subramanian",
                SalesTitle = "Sales Representative"
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43845",
                Store = "Two-Wheeled Transit Company",
                OrderDate = new DateTime(2001, 8, 1, 0, 0, 0),
                SalesFirstName = "Kumar",
                SalesLastName = "Subramanian",
                SalesTitle = "Sales Representative"
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43845",
                Store = "Two-Wheeled Transit Company",
                OrderDate = new DateTime(2001, 8, 1, 0, 0, 0),
                SalesFirstName = "Kali",
                SalesLastName = "Subramanian",
                SalesTitle = "Sales Representative"
            });

            datas.Add(new Customer()
            {
                SalesOrderNumber = "SO43845",
                Store = "Two-Wheeled Transit Company",
                OrderDate = new DateTime(2001, 8, 1, 0, 0, 0),
                SalesFirstName = "Raja",
                SalesLastName = "Subramanian",
                SalesTitle = "Sales Representative"
            });
        }
    }
}
